package com.convenient.android.common.utils.dimens

/**
 * @classname：DimenGenerator
 * @author：luozhipeng
 * @date：23/7/18 10:10
 * @description：
 */
object DimenGenerator {
    /**
     * 设计稿尺寸(根据自己设计师的设计稿的宽度填入)
     */
    private const val DESIGN_WIDTH = 360

    /**
     * 设计稿高度  没用到
     */
    private const val DESIGN_HEIGHT = 640

    @JvmStatic
    fun main(args: Array<String>) {
        val values = DimenTypes.values()
        for (value in values) {
            MakeUtils.makeAll(DESIGN_WIDTH, value, "./pdf/src/main/res")
        }
    }
}